## cli-helpers 2.7.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = CLIHelpers
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## cli-helpers 2.1.0

=== debian/changelog ===
cli-helpers (2.1.0-2) sid; urgency=medium

  * Uploading to sid.
  * Manually sorting control fields.
  * Repeating section per binary package in control for consistency reasons.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Feb 2021 13:33:26 +0100

cli-helpers (2.1.0-1) sid; urgency=medium

  * Initial upload to sid (Closes: #982196).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Feb 2021 11:53:09 +0100

=== debian/control ===
Source: cli-helpers
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://dbcli.com
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers

Package: python3-cli-helpers
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: easy command-line apps with Python
 CLI Helpers is a Python package that makes it easy to perform common tasks when
 building command-line apps. It's a helper library for command-line interfaces.
 .
 Libraries like Click and Python Prompt Toolkit are amazing tools that help you
 create quality apps. CLI Helpers complements these libraries by wrapping up
 common tasks in simple interfaces.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cli-helpers

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_test:
	# disabled, doesn't work yet

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cli_helpers-$1\.tar\.gz/ \
https://github.com/dbcli/cli_helpers/releases .*/v?(\d\S+)\.tar\.gz

## cli-helpers 2.2.0

=== debian/changelog ===
cli-helpers (2.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.0.
  * Updating python debhelper sequence.
  * Updating watch file.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Sep 2021 06:13:42 +0200

## cli-helpers 2.2.1

=== debian/changelog ===
cli-helpers (2.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.1.
  * Updating copyrights for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 21 Jan 2022 20:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://dbcli.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cli-helpers

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled, doesn't work yet

## cli-helpers 2.3.0

=== debian/changelog ===
cli-helpers (2.3.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.0.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Oct 2022 19:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://dbcli.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers

## cli-helpers 2.3.1

=== debian/changelog ===
cli-helpers (2.3.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.1.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Feb 2024 07:07:39 +0100

cli-helpers (2.3.0-3) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1043975).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 10:06:06 +0200

cli-helpers (2.3.0-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 25 Jan 2023 09:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://dbcli.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cli_helpers-$1\.tar\.gz/ \
https://github.com/dbcli/cli_helpers/tags .*/v?(\d\S+)\.tar\.gz

## cli-helpers 2.4.0

=== debian/changelog ===
cli-helpers (2.4.0-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:40:36 +0200

cli-helpers (2.4.0-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 2.4.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 11:11:25 +0100

cli-helpers (2.3.1-3) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Feb 2025 01:04:20 +0100

cli-helpers (2.3.1-2) sid; urgency=medium

  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: cli-helpers
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://dbcli.com
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/cli-helpers
+Vcs-Browser: https://forgejo.debian.net/dbcli/cli-helpers
+Vcs-Git: https://forgejo.debian.net/dbcli/cli-helpers
 
 Package: python3-cli-helpers
 Section: python

## cli-helpers 2.7.0

=== debian/changelog ===
cli-helpers (2.7.0-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:52:49 +0200

cli-helpers (2.7.0-1) experimental; urgency=medium

  * Merging upstream version 2.7.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 04:52:34 +0200

cli-helpers (2.6.0-1) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Adding upstream metadata.
  * Updating homepage field.
  * Merging upstream version 2.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jul 2025 07:13:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://dbcli.com
+Homepage: https://github.com/dbcli/cli_helpers
 Vcs-Browser: https://forgejo.debian.net/dbcli/cli-helpers
 Vcs-Git: https://forgejo.debian.net/dbcli/cli-helpers

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,9 @@
 %:
 	dh ${@} --buildsystem=pybuild
 
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
+
 override_dh_auto_test:
 	# disabled, doesn't work yet

=== debian/watch ===
version=4
https://github.com/dbcli/cli_helpers/tags .*/v?(\d.*)@ARCHIVE_EXT@

## cli-helpers 2.8.1

=== debian/changelog ===
cli-helpers (2.8.1-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 2.8.1.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 19:09:40 +0100

cli-helpers (2.7.0-3) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:34:03 +0100

## cli-helpers 2.9.0

=== debian/changelog ===
cli-helpers (2.9.0-1) sid; urgency=medium

  * Merging upstream version 2.9.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 Jan 2026 07:01:45 +0100

## cli-helpers 2.10.0

=== debian/changelog ===
cli-helpers (2.10.0-1) sid; urgency=medium

  * Harmonizing watch file.
  * Merging upstream version 2.10.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2026 15:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  dh-sequence-python3,
  python3,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/dbcli/cli_helpers
 Vcs-Browser: https://forgejo.debian.net/dbcli/cli-helpers
 Vcs-Git: https://forgejo.debian.net/dbcli/cli-helpers

=== debian/watch ===
Version: 5

Template: github
Owner: dbcli
Project: cli_helpers

## cli-helpers 2.10.1

=== debian/changelog ===
cli-helpers (2.10.1-1) sid; urgency=medium

  * Merging upstream version 2.10.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Feb 2026 08:41:18 +0100
